package com.brilliance.isc.common.register.trtcre;

import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.bo.model.Trtcre;

public interface ITrtcreRegister {

    void setTRDfieldsfromXXX(Trtcre trtcre);

    /**
     * 是否需要回滚trtcre数据
     * @param trn
     * @return
     */
    default boolean isNeedRepair(Trn trn) {
        return false;
    }
}
